## actiona 3.9.0

=== debian/changelog ===
actiona (3.9.0-0ubuntu1) wily; urgency=medium

  * Same upload as what is currently in Debian NEW
  * New upstream release, Actionaz renamed to Actiona
  * Updated name where appropriate in debian/
  * Added transitional package
  * Updated build-deps, switching to Qt 5 (Closes: #786346)
  * debian/rules: make sure Qt 5 is used
  * Updated Recommends
  * Updated Standards-Version to 3.9.6, no change needed
  * Added debian/patches/01_add_desktop_file.desktop: upstream patch
    reintroducing the missing .desktop file
  * Added debian/patches/02_missing_icon_window_opacity.patch: upstream patch
    adding missing icon and fixing a major bug with main window opacity

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 19 Aug 2015 12:37:06 +0200

actionaz (3.8.0-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 3.9.5, no change needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 23 Apr 2014 11:45:56 +0200

actionaz (3.7.0-1) unstable; urgency=low

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 27 Aug 2013 10:52:14 +0200

actionaz (3.6.2-1) unstable; urgency=low

  * New upstream release
  * Use canonical URIs for the VCS fields

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 03 Jun 2013 13:45:31 +0200

actionaz (3.6.1-1) experimental; urgency=low

  * Upload to experimental due to freeze
  * New upstream release
  * Updated Standards-Version to 3.9.4, no change needed
  * Fixed dh_auto_configure call in debian/rules
  * Switch to dh 9, in order to use dpkg-buildflags
  * Updated debian/watch, thanks to Bart Martens

 -- Adrien Cunin <adri2000@ubuntu.com>  Thu, 11 Apr 2013 11:06:50 +0200

actionaz (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 24 Jun 2012 17:09:31 +0200

actionaz (3.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Build-Depends on libopencv-dev, and remove libcv-dev and
    libcvaux-dev. (Closes: #674992)

 -- Tim Retout <diocles@debian.org>  Wed, 06 Jun 2012 08:49:27 +0100

actionaz (3.4.1-1) unstable; urgency=high

  * New upstream release
     - Fixes FTBFS with gcc 4.7 (Closes: #667093)
  * Set urgency=high for RC bug fix
  * Updated Standards-Version to 3.9.3, no change needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 07 May 2012 08:59:13 +0200

actionaz (3.2.2-1) unstable; urgency=low

  * New upstream release
     - +dfsg is not needed anymore as upstream removed the problematic files
     - Build flags incompatible with architectures other than amd64 removed
       (Closes: #657692)
  * debian/rules: removed get-orig-source now that repacking is not needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 29 Jan 2012 16:14:38 +0100

actionaz (3.2.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #656140)
  * Repacked upstream tarball to remove sfx/ which contains only Windows
    binaries for which no source code is shipped

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 23 Jan 2012 23:56:16 +0100

## actiona 3.9.2

=== runner/Makefile ===
# Actiona
# Copyright (C) 2008-2015 Jonathan Mercier-Ganady
#
# Actiona is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Actiona is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Contact : jmgr@jmgr.info

all: main.obj
                cl /Fe../sfx/runner.exe main.c /Os /D_USING_V110_SDK71_ /DPSAPI_VERSION=1 /link /nologo /SUBSYSTEM:WINDOWS,5.01 /NODEFAULTLIB /ENTRY:wmainCRTStartup libcmt.lib User32.lib Shell32.lib Kernel32.lib

## actiona 3.9.1

=== debian/changelog ===
actiona (3.9.1-1) unstable; urgency=medium

  * New upstream release
     - Fixes FTBFS with Qt 5.5 (Closes: #804456)
  * Removed patches included upstream:
     - debian/patches/01_add_desktop_file.patch
     - debian/patches/02_missing_icon_window_opacity.patch

 -- Adrien Cunin <adri2000@ubuntu.com>  Fri, 18 Dec 2015 17:47:26 +0100

actiona (3.9.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Adrien Cunin <adri2000@ubuntu.com>  Fri, 28 Aug 2015 16:04:19 +0200

actiona (3.9.0-1) experimental; urgency=medium

  * New upstream release, Actionaz renamed to Actiona
  * Updated name where appropriate in debian/
  * Added transitional package
  * Updated build-deps, switching to Qt 5 (Closes: #786346)
  * debian/rules: make sure Qt 5 is used
  * Updated Recommends
  * Updated Standards-Version to 3.9.6, no change needed
  * Added debian/patches/01_add_desktop_file.desktop: upstream patch
    reintroducing the missing .desktop file
  * Added debian/patches/02_missing_icon_window_opacity.patch: upstream patch
    adding missing icon and fixing a major bug with main window opacity

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 17 Aug 2015 11:09:29 +0200

=== debian/control ===
Source: actiona
Section: utils
Priority: extra
Maintainer: Adrien Cunin <adri2000@ubuntu.com>
Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5x11extras5-dev, libqt5xmlpatterns5-dev, qtscript5-dev, qttools5-dev, qtmultimedia5-dev, qttools5-dev-tools, libxtst-dev, libnotify-dev, libopencv-dev, libboost-dev
Standards-Version: 3.9.6
Homepage: https://actiona.tools
Vcs-Git: git://anonscm.debian.org/collab-maint/actiona.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/actiona.git

Package: actiona
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-psql | libqt5sql5-odbc
Breaks: actionaz (<< 3.9.0)
Replaces: actionaz (<< 3.9.0)
Description: emulate human activity through a powerful GUI and JavaScript
 Actiona is an application that allows you to execute many actions on your
 computer such as emulating mouse clicks, key presses, showing message boxes,
 editing text files, etc. Tasks can be created using a simple editor or using
 the EcmaScript (JavaScript) programming language for more customization.
 Actiona is cross-platform.

Package: actionaz
Architecture: all
Depends: actiona, ${misc:Depends}
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export QT_SELECT := qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+=ACT_NO_UPDATER

override_dh_auto_build:
	dh_auto_build
	make locale_release

override_dh_auto_install:
	dh_auto_install --destdir=$(CURDIR)/debian/actiona

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/actiona/

## actiona 3.9.2

=== debian/changelog ===
actiona (3.9.2-1build2) bionic; urgency=medium

  * No-change rebuild against OpenCV 3.2.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 29 Oct 2017 12:23:21 +0100

actiona (3.9.2-1build1) artful; urgency=medium

  * No-change rebuild against OpenCV 3.1.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 20 Jun 2017 14:01:46 +0200

actiona (3.9.2-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 3.9.8, no change needed
  * Updated Vcs-* URLs with https ones
  * Fixed debian/rules so that the actionaz dummy package can be built faster,
    thanks Santiago Vila for the patch (Closes: #824109)

  [ Gianfranco Costamagna ]
  * Bump copyright years.

 -- Adrien Cunin <adri2000@ubuntu.com>  Thu, 28 Jul 2016 17:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
 Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5x11extras5-dev, libqt5xmlpatterns5-dev, qtscript5-dev, qttools5-dev, qtmultimedia5-dev, qttools5-dev-tools, libxtst-dev, libnotify-dev, libopencv-dev, libboost-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://actiona.tools
-Vcs-Git: git://anonscm.debian.org/collab-maint/actiona.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/actiona.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/actiona.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/actiona.git
 
 Package: actiona
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
+override_dh_auto_configure-indep:
+
+override_dh_auto_configure-arch:
 	dh_auto_configure -- DEFINES+=ACT_NO_UPDATER
 
-override_dh_auto_build:
+override_dh_auto_build-indep:
+
+override_dh_auto_build-arch:
 	dh_auto_build
 	make locale_release

## actiona 3.9.4

=== debian/changelog ===
actiona (3.9.4-1) unstable; urgency=medium

  * New upstream release
  * Updated Vcs-* URLs with Salsa ones
  * Updated Standards-Version to 4.1.4
     - Use Priority: optional instead of extra

 -- Adrien Cunin <adri2000@ubuntu.com>  Thu, 14 Jun 2018 14:44:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: actiona
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
 Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5x11extras5-dev, libqt5xmlpatterns5-dev, qtscript5-dev, qttools5-dev, qtmultimedia5-dev, qttools5-dev-tools, libxtst-dev, libnotify-dev, libopencv-dev, libboost-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://actiona.tools
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/actiona.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/actiona.git
+Vcs-Git: https://salsa.debian.org/debian/actiona.git
+Vcs-Browser: https://salsa.debian.org/debian/actiona
 
 Package: actiona
 Architecture: any

## actiona 3.10.0

=== debian/changelog ===
actiona (3.10.0-1) unstable; urgency=medium

  * New upstream release
     - Fixes FTBFS with Qt 5.11 (Closes: #909828)
  * Added new libxkbcommon-dev and libqt5texttospeech5-dev build-deps
  * Recommend libqt5multimedia5-plugins in order to make the "play sound"
    action work
  * debian/docs: fixed README.md filename (thanks Logan Rosen)

  [ Gianfranco Costamagna ]
  * Update copyright file

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 07 Jan 2019 15:26:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5x11extras5-dev, libqt5xmlpatterns5-dev, qtscript5-dev, qttools5-dev, qtmultimedia5-dev, qttools5-dev-tools, libxtst-dev, libnotify-dev, libopencv-dev, libboost-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5x11extras5-dev, libqt5xmlpatterns5-dev, qtscript5-dev, qttools5-dev, qtmultimedia5-dev, qttools5-dev-tools, libxtst-dev, libnotify-dev, libopencv-dev, libboost-dev, libxkbcommon-dev, libqt5texttospeech5-dev
 Standards-Version: 4.1.4
 Homepage: https://actiona.tools
 Vcs-Git: https://salsa.debian.org/debian/actiona.git
@@ -11,7 +11,7 @@
 Package: actiona
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-psql | libqt5sql5-odbc
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-psql | libqt5sql5-odbc, libqt5multimedia5-plugins
 Breaks: actionaz (<< 3.9.0)
 Replaces: actionaz (<< 3.9.0)
 Description: emulate human activity through a powerful GUI and JavaScript

## actiona 3.10.0.1+rb2

=== debian/changelog ===
actiona (3.10.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 22 Feb 2021 17:04:31 +0800

## actiona 3.10.1

=== debian/changelog ===
actiona (3.10.1-1build7) plucky; urgency=medium

  * No-change rebuild for opencv 4.10.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 19 Feb 2025 08:38:45 +0000

actiona (3.10.1-1build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:03:31 +1100

actiona (3.10.1-1build5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:48:28 +0000

actiona (3.10.1-1build4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:46:51 +0000

actiona (3.10.1-1build3) kinetic; urgency=medium

  * No-change rebuild against libopencv-core406

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Jul 2022 06:17:31 +0000

actiona (3.10.1-1build2) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:47:01 +0000

actiona (3.10.1-1build1) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:08:18 +0100

actiona (3.10.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes FTBFS with OpenCV 4 (Closes: #922566)
  * Removed actiona transitional package (Closes: #939135)

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 25 Mar 2020 22:51:14 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/Jmgr/actiona/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:46:06 +0000
